﻿using Microsoft.Extensions.Configuration;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Net.Http;
using System.Text;
using System.Threading.Tasks;

namespace EventListener
{
    public class KafkaHttpClient
    {
        IResilientHttpClient _client;
        IConfigurationRoot _configuration;
         
        public KafkaHttpClient(IResilientHttpClient client, IConfigurationRoot configuration)
        {
            _client = client;
            _configuration = configuration;
        }
        public void UpdateAuctionForBid(string jsonObject)
        {
            Logger.Instance.LogMessage($"Inside UpdateAuctionForBid where jsonObject is {jsonObject}");
            var content = new StringContent(jsonObject, Encoding.UTF8, "application/json");
            HttpResponseMessage response = _client.Put<StringContent>(_configuration["AuctionServiceURL"], content);
            response.EnsureSuccessStatusCode();
            Logger.Instance.LogMessage($"Inside UpdateAuctionForBid, updated table");
        }
    }
}
